local M = {}

local lastFanInput = 0
local enabled = false

local function onInit()
end

local function onReset()
	onInit()
end

local function updateGFX(dt)
  if not enabled then return end
  local fi = electrics.values.fan1
  if fi == nil then return end 
  if fi ~= lastFanInput then
    lastFanInput = fi
      controller.getControllerSafe('doors').toggleBeamMinMax({'frontDoors'})
  end
end

-- public interface
M.onInit      = onInit
M.onReset     = onReset
M.updateGFX = updateGFX

return M